Bug 257263 - deskutils/xfce4-notes-plugin: Upodate to 1.9.0 (Mark Un'BROKEN)
Summary: deskutils/xfce4-notes-plugin: Upodate to 1.9.0 (Mark Un'BROKEN)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-xfce (Nobody)
URL: https://gitlab.xfce.org/panel-plugins...
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2021-07-19 04:50 UTC by Mikhail Teterin
Modified: 2021-07-20 14:53 UTC (History)
1 user (show)

See Also:
madpilot: maintainer-feedback+
madpilot: merge-quarterly+


Attachments
Unbreak the port by upgrading to 1.9.0 (4.48 KB, patch)
2021-07-19 04:50 UTC, Mikhail Teterin
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Teterin freebsd_committer 2021-07-19 04:50:11 UTC
Created attachment 226542 [details]
Unbreak the port by upgrading to 1.9.0

The port is currently marked broken -- because version 1.8.1 depends on XFCE GTK2 support. But version 1.9.0 is available from upstream since January...
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-19 05:00:47 UTC
^Triage: Bugfix release also, MFH
Comment 2 Guido Falsi freebsd_committer 2021-07-19 16:20:27 UTC
Hi,

The reason I have still not updated the port to 1.9.0 is that, technically, it's a development version. I was waiting for upstream to release a stable version.

Now, the upstream is actually taking its time, so it does make sense to upgrade to 1.9.0 and unbreak it.

I need only a little time for some further testing.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-20 02:30:44 UTC
Comment on attachment 226542 [details]
Unbreak the port by upgrading to 1.9.0

Checked with portmgr@ yesterday for explicit clarity on this class of change being covered (as a subset) of "build/run/package fix blanket".

Approved by: portmgr (blanket: build (BROKEN removal) fix, JFI)
Comment 4 commit-hook freebsd_committer 2021-07-20 14:47:15 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f81c892c16d3150a834e41d08986609c0108df81

commit f81c892c16d3150a834e41d08986609c0108df81
Author:     Mikhail Teterin <mi@FreeBSD.org>
AuthorDate: 2021-07-20 14:43:43 +0000
Commit:     Guido Falsi <madpilot@FreeBSD.org>
CommitDate: 2021-07-20 14:46:27 +0000

    deskutils/xfce4-notes-plugin: Update to 1.9.0 and unbreak

    This development version suports gtk3 and can actually work.

    PR:             257263

 deskutils/xfce4-notes-plugin/Makefile  |  9 +++------
 deskutils/xfce4-notes-plugin/distinfo  |  5 +++--
 deskutils/xfce4-notes-plugin/pkg-plist | 35 +++++++++-------------------------
 3 files changed, 15 insertions(+), 34 deletions(-)
Comment 5 commit-hook freebsd_committer 2021-07-20 14:52:18 UTC
A commit in branch 2021Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c69d1dd7c4dedd608fd9df1cf89bdefde6cee6a7

commit c69d1dd7c4dedd608fd9df1cf89bdefde6cee6a7
Author:     Mikhail Teterin <mi@FreeBSD.org>
AuthorDate: 2021-07-20 14:43:43 +0000
Commit:     Guido Falsi <madpilot@FreeBSD.org>
CommitDate: 2021-07-20 14:51:30 +0000

    deskutils/xfce4-notes-plugin: Update to 1.9.0 and unbreak

    This development version suports gtk3 and can actually work.

    PR:             257263
    (cherry picked from commit f81c892c16d3150a834e41d08986609c0108df81)

 deskutils/xfce4-notes-plugin/Makefile  |  9 +++------
 deskutils/xfce4-notes-plugin/distinfo  |  5 +++--
 deskutils/xfce4-notes-plugin/pkg-plist | 35 +++++++++-------------------------
 3 files changed, 15 insertions(+), 34 deletions(-)
Comment 6 Guido Falsi freebsd_committer 2021-07-20 14:53:44 UTC
Committed and merged to quarterly.

Thanks for prodding me on this.